libmms-dev_0.6.2-4_i386.deb


Advertisement

Description

libmms-dev - MMS stream protocol library - development files

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmms-dev
Package version: 0.6.2
Package release: 4
Package architecture: i386
Package type: deb
Installed size: 99 B
Download size: 37.61 KB
Official Mirror: ftp.br.debian.org
LibMMS is a common library for parsing mms:// and mmsh:// type network streams. These are commonly used to stream Windows Media Video content over the web. LibMMS itself is only for receiving MMS stream, it doesn't handle sending at all. This package holds the development files.

Alternatives

    Download

    Source package: libmms

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmms-dev deb package:
      # sudo apt-get install libmms-dev

    Files

    • /usr/include/libmms/mms.h
    • /usr/include/libmms/mms_config.h
    • /usr/include/libmms/mmsh.h
    • /usr/include/libmms/mmsio.h
    • /usr/include/libmms/mmsx.h
    • /usr/lib/i386-linux-gnu/libmms.a
    • /usr/lib/i386-linux-gnu/libmms.so
    • /usr/lib/i386-linux-gnu/pkgconfig/libmms.pc
    • /usr/share/doc/libmms-dev/README
    • /usr/share/doc/libmms-dev/changelog.Debian.gz
    • /usr/share/doc/libmms-dev/changelog.gz
    • /usr/share/doc/libmms-dev/copyright

    Changelog

    2014-04-25 - Sebastian Ramacher <sramacher@debian.org> libmms (0.6.2-4) unstable; urgency=high * Team upload. [ Fabian Greffrath ] * Remove myself from Uploaders. [ Sebastian Ramacher ] * Use urgency=high for security fix. * debian/patches/0002-CVE-2014-2892.patch: Apply upstream patch for CVE-2014-2892. (Closes: #745301) * debian/control: - Bump Standards-Version to 3.9.5. - Add dh-autoreconf to Depends and bump debhelper to >= 9. - Vcs-*: Ue canonical URLs. - Remove obsolete Dm-Upload-Allowed. * debian/rules: Run dh with --with autoreconf.

    2012-02-14 - Alessio Treglia <alessio@debian.org> libmms (0.6.2-3) unstable; urgency=low * Team upload. * Introduce multiarch. * Update Standards-Version.

    2011-02-21 - Fabian Greffrath <fabian+debian@greffrath.com> libmms (0.6.2-2) unstable; urgency=low * Use 3.0 (quilt) source format. * Apply patch from upstream git to fixup bswap.h macros. This patch does not change anything functionally, but it does make the code read correctly (see #611791).

    2011-02-03 - Fabian Greffrath <fabian+debian@greffrath.com> libmms (0.6.2-1) unstable; urgency=low [ Alessio Treglia ] * Correct team's name. * Really set DM-Upload-Allowed to yes. [ Fabian Greffrath ] * Imported Upstream version 0.6.2 + Fix alignment issues on ARM (Closes: #611791). * Remove all patches, applied upstream. + Remove Build-Depends on quilt. + Run dh without quilt extension. * TODO file has been removed upstream. * Update debian/libmms0.symbols file.

    2010-06-09 - Fabian Greffrath <fabian+debian@greffrath.com> libmms (0.6-1) unstable; urgency=low * Imported Upstream version 0.6 + Includes support for extended stream properties (Closes: #498174). + Includes many bug fixes (Closes: #517105, #552127, #448559, #470806, #501068). All tried to reproduce by upstream with Fedora-13 x86_64 (so a pretty brand spanking new gstreamer stack) with libmms-0.6 installed. * Add myself to Uploaders. * Update Arthur's e-mail address. * Wrap lines in debian/control. * Bump Standards-Version to 3.8.4. * Fix binary-control-field-duplicates-source. * Add Homepage field to debian/control. * Add Vcs-* fields to debian/control. * Remove 11_nested_comments.diff, applied upstream. * Add patch from upstream GIT to remove unneeded bswap.h from public headers and avoid needless dependency on glib.h, remove Depends: libglib2.0-dev from libmms-dev. (Closes: #362657). * Add patch from upstream GIT to not incorrectly use the reserved keyword "this" as a variable name (Closes: #493735). * Add Depends: ${misc:Depends} to libmms-dev. * Convert Debian packaging to dh 7, use dh_quilt* and remove unnecessary chrpath usage. * Add debian/source/format, keep at "1.0" for now. * Add debian/README.source. * Add debian/gbp.conf. * Add .gitignore. * Add debian/libmms0.symbols. * Drop the replacement of config.{sub,guess} altogether, the ones upstream provides are newer than those in current Debian stable. * Improve debian/copyright.

    2008-01-20 - Arthur Loiret <arthur.loiret@gmail.com> libmms (0.4-2) unstable; urgency=low * Apply patches from bzr branch libmms-devel: - 10_this_keyword.diff: Replace "this" keywork by "instance", also thanks to Kumar Appaiah <akumar@ee.iitm.ac.in> for the patch. Closes: #458870 - 11_nested_comments.diff: Fix warning about nested comments. * debian/control: Build-Depends on quilt again. * debian/rules: Update accordingly. * debian/copyright: Mention the new code source repository.

    Advertisement
    Advertisement